Waypoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Class Waypoint

    java.lang.Object
      com.bbn.openmap.tools.roads.Visual
          com.bbn.openmap.tools.roads.Waypoint

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Intersection, RoadPoint

    public abstract class Waypoint

extends Visual
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`class` | `Waypoint.Graphic`

Field Summary
`protected LatLonPoint` | `location` The location of this waypoint.
`protected java.awt.Point` | `screenLocation`

Fields inherited from class com.bbn.openmap.tools.roads.Visual
`blinkState, layer`

Constructor Summary
`Waypoint(LatLonPoint loc, RoadLayer layer)` create a Waypoint at a given location.

Method Summary
`static java.lang.Class` | `getGraphicClass()`
`double` | `getLatitude()`
`LatLonPoint` | `getLocation()` Get the location of this Waypoint.
`double` | `getLongitude()`
`boolean` | `getModified()` Get the state of the modified flag.
`RoadLayer` | `getRoadLayer()` Get the RoadLayer of which this is a part.
`java.awt.Point` | `getScreenLocation()`
`void` | `moveTo(java.awt.Point loc)` Move this Intersection a distance on the screen.
`abstract void` | `render(OMGraphicList gl, boolean projectionIsNew)` Add the visual representation of this Waypoint to the graphics list.
`void` | `setLocation(LatLonPoint loc)` Set the location of this Waypoint.
`void` | `setModified(boolean newValue)` Set the modified flag
`void` | `setScreenLocation(java.awt.Point loc)`
`java.lang.String` | `toString()`
`void` | `update()` Mark this Visual as needing to have its visual representation updated.

Methods inherited from class com.bbn.openmap.tools.roads.Visual
`blink, getVisual, setVisual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    protected LatLonPoint location

  The location of this waypoint.

### screenLocation

    protected java.awt.Point screenLocation

Constructor Detail

### Waypoint

    public Waypoint(LatLonPoint loc,
                    RoadLayer layer)

  create a Waypoint at a given location.

  Parameters:
    `loc` - the location of the Waypoint

Method Detail

### getGraphicClass

    public static java.lang.Class getGraphicClass()

### setModified

    public void setModified(boolean newValue)

  Set the modified flag

### getModified

    public boolean getModified()

  Get the state of the modified flag.

### getLocation

    public LatLonPoint getLocation()

  Get the location of this Waypoint.

  Returns:
    the location of this Waypoint.

### setLocation

    public void setLocation(LatLonPoint loc)

  Set the location of this Waypoint.

  Parameters:
    `loc` - the new location.

### getScreenLocation

    public java.awt.Point getScreenLocation()

### setScreenLocation

    public void setScreenLocation(java.awt.Point loc)

### update

    public void update()

  Description copied from class: `Visual`
  Mark this Visual as needing to have its visual representation updated. It has moved or otherwise changed its appearance.

  Overrides:
    `update` in class `Visual`

### getRoadLayer

    public RoadLayer getRoadLayer()

  Get the RoadLayer of which this is a part.

  Returns:
    the RoadLayer.

### moveTo

    public void moveTo(java.awt.Point loc)

  Move this Intersection a distance on the screen.

### getLatitude

    public double getLatitude()

### getLongitude

    public double getLongitude()

### render

    public abstract void render(OMGraphicList gl,
                                boolean projectionIsNew)

  Add the visual representation of this Waypoint to the graphics list. Our visual representation is just a rectangle with radius 2.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details